Rygel.Playbin.Renderer – librygel-renderer-gst Reference Manual

# Renderer

## Object Hierarchy:

## Description:

public class Renderer : `MediaRenderer`

An in-process UPnP renderer that uses a GStreamer Playbin element.

Using GstPlayBin as a model, it reflects any changes done externally, such as changing the currently played URI, volume, pause/play etc., to UPnP.

Likewise, the playbin can be modified externally using UPnP.

You can retrieve the GstPlayBin by calling rygel_playbin_renderer_get_playbin(). You should then set the "video-sink" and "audio-sink" properties of the playbin.

Call rygel_media_device_add_interface() on the Renderer to allow it to be controlled by a control point and to retrieve data streams via that network interface.

See the <link linkend="implementing-renderers-gst">Implementing GStreamer-based Renderers</link> section.

Namespace: Rygel.Playbin
Package: librygel-renderer-gst

## Content:

### Creation methods:

- public Renderer (`string` title)
  Create a new instance of Renderer.
- public Renderer.wrap (`Element` pipeline, `string` title)
  Create a new instance of Renderer, wrapping an existing GstPlayBin instance.

### Methods:

- public `Element`? get_playbin ()
  Get the GstPlayBin used by this Renderer.

### Inherited Members:

All known members inherited from class Rygel.MediaRenderer

- player

- constructed

All known members inherited from class Rygel.MediaDevice

- capabilities
- plugin
- title

- add_interface
- constructed

- get_interfaces
- remove_interface

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count